Bug 470538 - Latest released hts package not available on RHN
Latest released hts package not available on RHN
Status: CLOSED CURRENTRELEASE
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Policy Guide (Show other bugs)
5.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rob Landry
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-07 10:57 EST by Larry Troan
Modified: 2016-04-18 05:47 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 12:09:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Larry Troan 2008-11-07 10:57:57 EST
Description of problem:

Reference certification 444962

In attempting to certify a Lenovo system, I logged into RHN and selected the Hardware Certification Channel for RHEL5. I then selected x86_64 and was presented with the following package options:
 dt-15.14-2.EL5.x86_64  Generic data test program
 hts-5.0-31.noarch      Red Hat Hardware Test Suite
 hts-5.0-48.noarch      Red Hat Hardware Test Suite
 hts-5.1-18.el5.noarch  Red Hat Hardware Test Suite
 hts-5.2-16.el5.noarch  Red Hat Hardware Test Suite
 lmbench-3.0a7-5.EL5.x86_64  lmbench benchmark tools
 lmbench-3.0a7-6.EL5.x86_64  lmbench benchmark tools
 stress-0.18.8-1.3.EL5.x86_64  tool to impose stress on a 
                               POSIX-compliant operating system

The defaults were:
 dt-15.14-2.EL5.x86_64
 hts-5.1-18.el5.noarch
 lmbench-3.0a7-6.EL5.x86_64
 stress-0.18.8-1.3.EL5.x86_64 

I downloaded and installed these on the test system and ran the certification suite. When I attempted to submit it, I got an error that I'd used the wrong level of hts. I bypassed this by going to the bugzilla directly and appending the results rpm.

QinXie then commented:
    The hts you used is hts-5.1-18, but what catalog wish is hts-5.2-xx. Could
    you rerun the tests with hts-5.2-18? Or you have some reason, so that you 
    have to use hts-5.1-18?

I then tried a "yum update hts" and it reported the latest package was already installed. So I manually selected the hts-5.2-16.el5.noarch package on RHN, downloaded it and then did an "rpm -Uvh hts" which installed that package as an upgrade to the RHN default.

However, QinXie had requested hts-5.2-18. So I went into brewroot and downloaded  hts-5.2-18.el5.noarch. I then did an "rpm -Uvh hts", reran the certification and posted the results.

How reproducible:
 See above.
 
Actual results:
 Wrong package version installed. "yum update hts" did not correctly select 
 hts-5.2-16.el5.noarch (latest on RHN).  

Expected results:
 hts-5.2-16.el5.noarch package available on RHN and selected by default using  
 the yum command.

Additional info:
 None.
Comment 1 QinXie 2008-11-09 20:53:15 EST
Hi Larry & Rob,

This should be not grouped as a cert, and seems it is not a hts issue or catalog issue, so I moved it here, group "Policy Guide". 

Thanks
QinXie
Comment 2 Rob Landry 2010-06-28 12:09:06 EDT
This should be fixed, v7-1.1-24 is on RHN : http://rhn.redhat.com/errata/RHBA-2010-0463.html

Note You need to log in before you can comment on or make changes to this bug.